Saltar al contenido
Twexapi
Español
Esc
navegarabrir⌘Jvista previa

Obtención masiva de artículos de X

Obtención masiva de artículos de X.

POST/x/article
Autorización de API
AuthorizationBearer token · headerrequerido
Token Bearer global para TwexAPI. Incluido como: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Cuerpo de la solicitud
requeridoapplication/json
Array of string
string
Respuestas
200A list of objects containing detailed article data for each valid ID provided.
codeintegerrequerido
Código de estado HTTP (200 indica éxito)
msgstringrequerido
Mensaje de respuesta (ej. 'success')
dataXArticleModel[]requerido
Carga de datos devuelta por el endpoint
Mostrar propiedades
Array of XArticleModel
tweet_idstring | any
ID numérico único del tweet
Mostrar propiedades
Any of:
string
string
any
any
full_textstring | any
Texto completo del tweet
Mostrar propiedades
Any of:
string
string
any
any
created_atstring | any
Fecha y hora de creación (UTC)
Mostrar propiedades
Any of:
string
string
any
any
langstring | any
The language
Mostrar propiedades
Any of:
string
string
any
any
bookmark_countinteger | any
Número de marcadores
Mostrar propiedades
Any of:
integer
integer
any
any
favorite_countinteger | any
Número de me gusta
Mostrar propiedades
Any of:
integer
integer
any
any
reply_countinteger | any
Número de respuestas
Mostrar propiedades
Any of:
integer
integer
any
any
retweet_countinteger | any
Número de retweets
Mostrar propiedades
Any of:
integer
integer
any
any
quote_countinteger | any
Quote count
Mostrar propiedades
Any of:
integer
integer
any
any
view_countstring | any
Número de visualizaciones
Mostrar propiedades
Any of:
string
string
any
any
view_count_statestring | any
View count state
Mostrar propiedades
Any of:
string
string
any
any
conversation_idstring | any
Conversation ID
Mostrar propiedades
Any of:
string
string
any
any
author_user_idstring | any
Author user ID
Mostrar propiedades
Any of:
string
string
any
any
author_screen_namestring | any
Nombre de usuario del autor (sin @)
Mostrar propiedades
Any of:
string
string
any
any
author_namestring | any
Nombre mostrado del autor
Mostrar propiedades
Any of:
string
string
any
any
author_is_blue_verifiedboolean | any
Whether author is blue verified
Mostrar propiedades
Any of:
boolean
boolean
any
any
author_verifiedboolean | any
Whether author is verified
Mostrar propiedades
Any of:
boolean
boolean
any
any
author_is_verified_organization_affiliateboolean | any
Whether author is verified organization
Mostrar propiedades
Any of:
boolean
boolean
any
any
article_idstring | any
Article ID
Mostrar propiedades
Any of:
string
string
any
any
article_titlestring | any
Article title
Mostrar propiedades
Any of:
string
string
any
any
article_preview_textstring | any
Article preview text
Mostrar propiedades
Any of:
string
string
any
any
article_summary_textstring | any
Article summary text
Mostrar propiedades
Any of:
string
string
any
any
article_cover_image_urlstring | any
Article cover image URL
Mostrar propiedades
Any of:
string
string
any
any
article_blocksArticleBlock[]
Article formatting blocks
Mostrar propiedades
Array of ArticleBlock
typestringrequerido
The type of the article block.
textstringrequerido
Texto del mensaje
entityRangesArticleBlockRange[]
The entity ranges of the article block.
Mostrar propiedades
Array of ArticleBlockRange
keyintegerrequerido
The key of the entity range.
lengthintegerrequerido
The length of the entity range.
offsetintegerrequerido
The offset of the entity range.
article_plain_textstring | any
Article plain text
Mostrar propiedades
Any of:
string
string
any
any
article_markdownstring | any
Article markdown
Mostrar propiedades
Any of:
string
string
any
any
article_media_image_urlsstring[]
Article media image URLs
422Error de validación de parámetros
detailValidationError[]
Mostrar propiedades
Array of ValidationError
locstring | integer[]requerido
Mostrar propiedades
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequerido
Mensaje de respuesta (ej. 'success')
typestringrequerido
inputany
ctxobject
Consola interactivaPOST
Consola interactiva / Probar APIPOST
Live Console
🌐Servidor objetivo:https://api.twexapi.io
● Producción lista
🔍
Lectura de datos públicos (Solo clave TwexAPI, sin cookie de Twitter)

Este endpoint consulta datos públicos de Twitter: ¡no se requiere cuenta ni Cookie de Twitter! Simplemente ingrese su clave TwexAPI (Bearer Token) en "Autorización API" para probar.

🔑Autorización API
📝Cuerpo de la solicitudapplication/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

Solicitud
curl -X POST "https://api.twexapi.io/x/article" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '[
  "1803006263529541838",
  "1803006263529541839"
]'
Respuesta
{
  "code": 0,
  "msg": "string",
  "data": [
    {
      "tweet_id": "string",
      "full_text": "string",
      "created_at": "string",
      "lang": "string",
      "bookmark_count": 0,
      "favorite_count": 0,
      "reply_count": 0,
      "retweet_count": 0,
      "quote_count": 0,
      "view_count": "string",
      "view_count_state": "string",
      "conversation_id": "string",
      "author_user_id": "string",
      "author_screen_name": "string",
      "author_name": "string",
      "author_is_blue_verified": true,
      "author_verified": true,
      "author_is_verified_organization_affiliate": true,
      "article_id": "string",
      "article_title": "string",
      "article_preview_text": "string",
      "article_summary_text": "string",
      "article_cover_image_url": "string",
      "article_blocks": [
        {
          "type": "string",
          "text": "string",
          "entityRanges": [
            {
              "key": 0,
              "length": 0,
              "offset": 0
            }
          ]
        }
      ],
      "article_plain_text": "string",
      "article_markdown": "string",
      "article_media_image_urls": [
        "string"
      ]
    }
  ]
}